Loading...
Searching...
No Matches
juce::AudioProcessorEditorARAExtension Class Reference

## Detailed Description

Extension class meant to be subclassed by the plugin's implementation of.

See also
  AudioProcessorEditor.

Subclassing AudioProcessorARAExtension allows access to the ARAEditorView instance role as described by the ARA SDK.

The documentation for this class was generated from the following file:

- juce_audio_processors_headless/utilities/ARA/juce_AudioProcessor_ARAExtensions.h

## Public Member Functions

| AudioProcessorEditorARAExtension (AudioProcessor *audioProcessor)
| Constructor.
template<typename EditorView_t = ARAEditorView>
EditorView_t * | getARAEditorView () const noexcept
| Returns the result of ARA::PlugIn::PlugInExtension::getEditorView() with the pointer cast to ARAEditorView*.
bool | isARAEditorView () const noexcept
| Returns true if plugin instance fulfills the ARAEditorView role.

## Protected Member Functions

| ~AudioProcessorEditorARAExtension ()
| Destructor.

## Constructors and Destructors

## AudioProcessorEditorARAExtension()

juce::AudioProcessorEditorARAExtension::AudioProcessorEditorARAExtension | ( | AudioProcessor * | audioProcessor | ) |

explicit

Constructor.

Referenced by ~AudioProcessorEditorARAExtension().

## ~AudioProcessorEditorARAExtension()

juce::AudioProcessorEditorARAExtension::~AudioProcessorEditorARAExtension | ( |  | ) |

protected

Destructor.

References AudioProcessorEditorARAExtension().

## Member Functions

## getARAEditorView()

template<typename EditorView_t = ARAEditorView>

EditorView_t * juce::AudioProcessorEditorARAExtension::getARAEditorView | ( |  | ) | const

inline noexcept

Returns the result of ARA::PlugIn::PlugInExtension::getEditorView() with the pointer cast to ARAEditorView*.

If you have overridden ARADocumentControllerSpecialisation::doCreateEditorView(), then you can use the template parameter to cast the pointers to your subclass of ARAEditorView.

Referenced by isARAEditorView().

## isARAEditorView()

bool juce::AudioProcessorEditorARAExtension::isARAEditorView | ( |  | ) | const

inline noexcept

Returns true if plugin instance fulfills the ARAEditorView role.

References getARAEditorView().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited